# BALCONY
This repository holds the BALCONY R package, which can be downloaded at its [CRAN](https://CRAN.R-project.org/package=BALCONY) website.

**BALCONY** (Better ALignment CONsensus analYsis) is an R package that facilitates the evolutionary analysis and the
identification of conservation check the variablity of selected amino acids in protein
structure.
One of the unique functionalities of the BALCONY package concerns the
analysis of individual amino acids in primary protein structure and their neighbours
in tertiary structure. Residues defining active site cavities, co-factor binding sites,
selectivity filters, channels or tunnels are examples of applications for this package.
BALCONY is flexible and versatile enough to combine and analyse evolutionary and
structural data in a simple and transparent manner.

Conservation analysis can provide insights into rational protein design. Amino
acids favoured by evolution are attractive hot spots for mutations prediction.
Conversely, the most variable residues may also be great candidates for enzyme
property enhancements since theoretically these are not fundamental for protein
stability.

## Package installation

``` install.packages("BALCONY") ```

## Publication

See the [publication](https://doi.org/10.1186/s12859-018-2294-z) introducing the BALCONY package. 

Płuciennik, Alicja, Michał Stolarczyk, Maria Bzówka, Agata Raczyńska, Tomasz Magdziarz, and Artur Góra. “BALCONY: An R Package for MSA and Functional Compartments of Protein Variability Analysis.” BMC Bioinformatics 19, no. 1 (August 14, 2018): 300. https://doi.org/10.1186/s12859-018-2294-z.

